Package org.eclipse.emf.cdo.ui

# Class UserInfo.Manager.HomeUserInfoStorage.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.ui.UserInfo.Manager.UserInfoStorage.Factory
org.eclipse.emf.cdo.ui.UserInfo.Manager.HomeUserInfoStorage.Factory

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  UserInfo.Manager.HomeUserInfoStorage

public static final class UserInfo.Manager.HomeUserInfoStorage.Factory extends UserInfo.Manager.UserInfoStorage.Factory

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`

### Fields inherited from class org.eclipse.emf.cdo.ui.UserInfo.Manager.UserInfoStorage.Factory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`UserInfo.Manager.UserInfoStorage`
`create(String description)`

### Methods inherited from class org.eclipse.emf.cdo.ui.UserInfo.Manager.UserInfoStorage.Factory

`get, get, get`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public UserInfo.Manager.UserInfoStorage create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Specified by:
  `create` in interface `org.eclipse.net4j.util.factory.IFactory`
Specified by:
  `create` in class `UserInfo.Manager.UserInfoStorage.Factory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`